Name:       rt-client
Version:    4.4.4
Release:    1%{?dist}
Summary:    RT command line client

Group:      Applications/System
License:    GPLv2

URL:        http://www.bestpractical.com/
Source0:    http://download.bestpractical.com/pub/rt/release/rt-%{version}.tar.gz
Patch0:     rt-client-4.2.11_url.patch

BuildArch:  noarch

# This one exists in an eval() and isn't found by default
Requires:   perl(Term::ReadKey)

# Needed for https support
Requires:   perl(LWP::Protocol::https)

# Required for creating manual page
BuildRequires: /usr/bin/pod2man

# This package conflicts with the "rt" and "rt3" packages
Conflicts:  rt
Conflicts:  rt3

# This package obsoletes the "rt3-client" package
Provides:   rt3-client = %{version}-%{release}
Obsoletes:  rt3-client < 4.2.11

%description
This is a command line client for RT. This version is patched to work
with RT at UiO.

%prep
%setup -q -n rt-%{version}
%patch0 -p1 -b .url

%build
%configure
pod2man -u bin/rt > rt.1
pod2man -u bin/rt-mailgate > rt-mailgate.1

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -p -m 0755 bin/rt %{buildroot}%{_bindir}
install -p -m 0755 bin/rt-mailgate %{buildroot}%{_bindir}
install -p -m 0644 rt.1 %{buildroot}%{_mandir}/man1
install -p -m 0644 rt-mailgate.1 %{buildroot}%{_mandir}/man1

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%{_bindir}/rt
%{_bindir}/rt-mailgate
%{_mandir}/man1/rt.1*
%{_mandir}/man1/rt-mailgate.1*


%changelog
* Mon Feb 10 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 4.4.4-1
- Version 4.4.4
- Require LWP::Protocol::https for HTTPS support
- Spec cleanups

* Mon Sep 11 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 4.4.2-1
- Version 4.4.2

* Thu Jan  5 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 4.2.13-1
- Add rt-mailgate
- Version 4.2.13

* Tue May 19 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 4.2.11-1
- Initial build
